> ## Documentation Index > Fetch the complete documentation index at: https://learn.servitly.com/llms.txt > Use this file to discover all available pages before exploring further. # Get parameters by thing-definition > Returns the list of configuration-parameters of a specific thing-definition.
Configuration-parameters are the settings that can be remotely written on the product; each one declares its value type, the allowed values and validation rules, and the mapping used to send the value to the thing.
Set includeInherited to true to obtain also the configuration-parameters inherited from the parent thing-definitions. ## OpenAPI ````json GET /inventory/thingDefinitions/{thingDefinitionId}/configurationParameters { "openapi": "3.1.0", "info": { "title": "Servitly DPS API", "version": "1.0.0" }, "servers": [ { "url": "https://api.servitly-sandbox.com", "description": "[AWS SANDBOX]" }, { "url": "https://api.servitly.com", "description": "[AWS PRODUCTION Ireland]" }, { "url": "https://api-ap.servitly.com", "description": "[AWS Hong Kong]" }, { "url": "https://azapi.servitly-dev.com", "description": "[AZURE DEV Frankfurt]" }, { "url": "https://azapi.servitly-staging.com", "description": "[AZURE STAGING Frankfurt]" }, { "url": "https://azapi.servitly.com", "description": "[AZURE PRODUCTION Frankfurt]" } ], "security": [ { "bearerAuth": [] } ], "tags": [ { "name": "ACTIONS" }, { "name": "ALERTS" }, { "name": "API GATEWAY" }, { "name": "AUTHENTICATION" }, { "name": "AUTHORIZATIONS" }, { "name": "CUSTOMERS" }, { "name": "DATA IMPORT / EXPORT" }, { "name": "EVENTS" }, { "name": "LOCATIONS" }, { "name": "MAINTENANCE" }, { "name": "MAPPING" }, { "name": "METRIC DATA" }, { "name": "MOBILE APP" }, { "name": "ORGANIZATION" }, { "name": "PARTNERS" }, { "name": "PRODUCT MODELS" }, { "name": "SPARE PARTS" }, { "name": "STATISTICS" }, { "name": "STORE ORDERS" }, { "name": "SUBSCRIPTIONS" }, { "name": "SUBSCRIPTIONS (OLD)" }, { "name": "THING CONTROL" }, { "name": "THING DEFINITIONS" }, { "name": "THING MANAGEMENT" }, { "name": "THINGS" }, { "name": "TICKETS" }, { "name": "USER TYPES" }, { "name": "USERS" }, { "name": "WORK SESSIONS" } ], "paths": { "/inventory/thingDefinitions/{thingDefinitionId}/configurationParameters": { "get": { "summary": "Get parameters by thing-definition", "description": "Returns the list of configuration-parameters of a specific thing-definition.
Configuration-parameters are the settings that can be remotely written on the product; each one declares its value type, the allowed values and validation rules, and the mapping used to send the value to the thing.
Set includeInherited to true to obtain also the configuration-parameters inherited from the parent thing-definitions.", "tags": [ "THING DEFINITIONS" ], "parameters": [ { "$ref": "#/components/parameters/tenantNameHeader" }, { "$ref": "#/components/parameters/includeInherited" }, { "in": "path", "name": "thingDefinitionId", "required": "true", "schema": { "$ref": "#/components/schemas/ObjectId" }, "description": "The thing-definition identifier." } ], "responses": { "200": { "description": "Successful operation.", "content": { "application/json": { "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ConfigurationParameter" } } } } }, "401": { "$ref": "#/components/responses/NotAuthenticated" }, "403": { "$ref": "#/components/responses/NotAuthorized" }, "404": { "$ref": "#/components/responses/NotFound" }, "429": { "$ref": "#/components/responses/ApiLimit" }, "500": { "$ref": "#/components/responses/IntError" } } } } }, "components": { "parameters": { "tenantNameHeader": { "in": "header", "name": "X-Servitly-Tenant", "required": "true", "schema": { "type": "string", "example": "{{tenantName}}" }, "description": "The name of the tenant (e.g. acme)." }, "includeInherited": { "in": "query", "name": "includeInherited", "required": "false", "schema": { "type": "boolean" }, "description": "If true, the response includes the elements inherited from parent thing definitions." } }, "schemas": { "ObjectId": { "type": "string", "example": "abcd1234", "minimum": "1", "description": "The object identifier (e.g. 6620e4bb42541977c406b984)." }, "ConfigurationParameter": { "type": "object", "properties": { "id": { "type": "string", "description": "The configuration-parameter object identifier.", "readOnly": "true" }, "thingDefinition": { "writeOnly": "true", "description": "The thing-definition identifier associated with the configuration-parameter.", "allOf": [ { "$ref": "#/components/schemas/IdRef" } ] }, "name": { "type": "string", "description": "The configuration-parameter name." }, "label": { "type": "string", "description": "The configuration-parameter label." }, "type": { "type": "string", "enum": [ "BOOLEAN", "DOUBLE", "FLOAT", "INTEGER", "LONG", "STRING", "BASE64", "DATE" ], "description": "The configuration-parameter type." }, "stepValue": { "type": "number", "description": "The increment step value for numeric parameters." }, "minValue": { "type": "number", "description": "The minimum valid value for numeric parameters." }, "maxValue": { "type": "number", "description": "The maximum valid value for numeric parameters." }, "selectionMode": { "type": "string", "enum": [ "SELECTION", "RADIO_BUTTON" ], "description": "The selection mode for a multi-value field." }, "mandatory": { "type": "boolean", "description": "The flag indicating whether the parameter field is mandatory." }, "metric": { "description": "The metric used to fill the configuration parameter input when loaded in page.", "allOf": [ { "$ref": "#/components/schemas/IdRef" } ] }, "values": { "description": "The allowed values in case of multiple selection.", "type": "array", "items": { "type": "object", "properties": { "name": { "type": "string", "description": "The selection item name.", "example": "c1" }, "label": { "type": "string", "description": "The selection item label.", "example": "Value 1" } } } }, "mapping": { "description": "The parameter mapping used to send values to the thing.", "type": "object", "properties": { "path": { "type": "string", "description": "The parameter mapping path.", "example": "config" }, "name": { "type": "string", "description": "The parameter mapping name.", "example": "par1" } } }, "enabledCondition": { "description": "The condition that enables or disables the parameter input field within the page.", "allOf": [ { "$ref": "#/components/schemas/Condition" } ] } } }, "IdRef": { "type": "object", "properties": { "id": { "type": "string", "description": "The referenced object identifier.", "example": "1234abcd" } } }, "Condition": { "type": "object", "properties": { "metric": { "description": "The condition metric.", "allOf": [ { "$ref": "#/components/schemas/IdRef" } ] }, "predicate": { "type": "string", "enum": [ "EQUAL", "NOT_EQUAL", "LESS", "GREATER", "LESS_EQUAL", "GREATER_EQUAL" ], "description": "The condition predicate." }, "value": { "type": "string", "description": "The condition value to check." } } } }, "responses": { "NotAuthenticated": { "description": "User not authenticated.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "The error response.", "example": "User not authenticated" } } } } } }, "NotAuthorized": { "description": "User not authorized.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "The error response.", "example": "User not authorized" } } } } } }, "NotFound": { "description": "Resource was not found.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "The error response.", "example": "Resource not found" } } } } } }, "ApiLimit": { "description": "API call rate limit exceeded.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "The error response.", "example": "API call rate limit exceeded" } } } } } }, "IntError": { "description": "Internal server error.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "The error response.", "example": "Internal Server Error" } } } } } } }, "securitySchemes": { "bearerAuth": { "type": "http", "scheme": "bearer" } } } } ````